# Interface IRepairableDocument

All Known Implementing Classes:
  `AbstractDocument, ChildDocument, Document, ProjectionDocument`

public interface IRepairableDocument
Tagging interface to be implemented by `IDocument` implementers that offer a line repair method on the documents.

In order to provide backward compatibility for clients of `IRepairableDocument`, extension interfaces are used to provide a means of evolution. The following extension interfaces exist:

- `IRepairableDocumentExtension` since version 3.4 adds the ability to query whether the repairable document needs to be repaired.

Since:
  3.0
See Also:
  - `IDocument`
  - `IRepairableDocumentExtension`

## Method Summary

Modifier and Type
Method
Description
`void`
`repairLineInformation()`
Repairs the line information of the document implementing this interface.

## Method Details

### repairLineInformation

void repairLineInformation()
Repairs the line information of the document implementing this interface.